Summary:	Simple process monitor for MATE
Name:		mate-system-monitor
Version:	1.20.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
#----------------------------------------------
BuildRequires: docbook-dtd412-xml
BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: xsltproc
BuildRequires: mate-icon-theme-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}atkmm1.6-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}cairomm1.0-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}glibmm2.4-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkmm2.4-devel
BuildRequires: %{_lib}gtop2.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}pangomm2.4-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}sigc++2.0_0-devel
BuildRequires: %{_lib}wnck1-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
#----------------------------------------------

%description
Mate-system-monitor is a simple process and system monitor.

%prep
%setup -q
%apply_patches

%build
export CXXFLAGS="%{optflags} -std=gnu++11"
%configure2_5x \
	--disable-scrollkeeper

%make LIBS='-lgmodule-2.0'

%install
rm -rf %buildroot
%makeinstall_std
%find_lang %{name} --with-gnome

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS
%{_bindir}/mate-system-monitor
%{_datadir}/applications/*
%{_datadir}/pixmaps/%{name}
%{_datadir}/help
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.gschema.xml
%{_datadir}/man
%{_datadir}/appdata/mate-system-monitor.appdata.xml
%{_libexecdir}/mate-system-monitor/msm-kill
%{_libexecdir}/mate-system-monitor/msm-renice
%{_datadir}/polkit-1/actions/org.mate.mate-system-monitor.policy

%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%clean
rm -rf %buildroot

%changelog
* Sat Feb 17 2018 bb2 <bb2> - 1.20.0-1pclos2018
- new version

* Thu Oct 26 2017 bb2 <bb2> - 1.18.1-1pclos2017
- new version

* Wed Sep 13 2017 bb2 <bb2> - 1.12.1-2pclos2017
- rebuild against updates

* Wed Dec 02 2015 bb <bb> 1.12.1-1pclos2015
- update

* Fri Nov 06 2015 bb <bb> 1.12.0-1pclos2015
- update

* Thu Oct 15 2015 bb <bb> 1.10.1-3pclos2015
- rebuild for updates

